# environment::newline

Gets the newline string defined for this environment.

### Usage

`string environment::newline()`

### Return Value

A string containing CRLF for non-Unix platforms, or LF for Unix platforms.

### Examples

- Output two lines in a log file.

                  <echo file="build.log" message="First line${environment::newline()}Second line" />

### Requirements

Assembly: NAnt.Core (0.90.3780.0)